use Win32::GUI;

my $acc = new Win32::GUI::AcceleratorTable(
	"A" => "Window", 
	"B" => "Simple1", 
);

$W = new Win32::GUI::Window(
    -title  => "test",
    -left   => 100, 
    -top    => 100, 
    -width  => 280,
    -vscroll => 1,               #!!!!!!
    -height => 280,
    -name   => "Window",
    -accel  => $acc,
);

$W->AddButton(
    -name    => "Simple1",
    -left    => 5,
    -top     => 5,
    -width  => 122,
    -height => 400,
    -text    => "Just button",
);

$W->Show;

# Win32::GUI::Dialog();
while (Win32::GUI::DoEvents() != -1) {
}

sub Window_Terminate {
  return -1;
}

sub Click {
  print "Click\n";
}

sub Window_Click {
  print "Window_Click\n";
}

sub Simple1_Click {
  print "Simple1_Click\n";
}